# 🏓 Ball
##### **WORK IN PROGRESS**

## [pub.dev Listing](https://pub.dev/packages/ball) | [API Doc](https://pub.dev/documentation/ball/latest) | [GitHub](https://github.com/Zabadam/ball)
#### API References: [`BouncyBall`](https://pub.dev/documentation/ball/latest/ball/BouncyBall-class.html)

<br />

Provides `BouncyBall`s, delightfully bouncy and position-mirroring 
ink splash reactions to user input on a piece of `Material`.

| [![random splashFactory and color on every tap--bouncy balls!](https://raw.githubusercontent.com/Zabadam/ball/master/doc/variety_small.gif)](https://raw.githubusercontent.com/Zabadam/ball/master/doc/variety.gif 'See Example: random splashFactory and color on every tap--bouncy balls!') | <h4> See Example which corresponds to this animation. <br />Turn ink splashes for an `InkWell`, `InkResponse` or material `Theme` <br />into 🏓 `BouncyBall`s or 🔮 `Glass` `BouncyBall`s (marbles) <br />with the built-in `InteractiveInkFeatureFactory`s,  <br />or design your own with 🪀 `BouncyBall.mold`.</h4> |
| :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
 
## Ball Pit
Demo APK and source in [`/example`](https://github.com/Zabadam/ball/tree/main/example).

|                                                                                                                                                                                                                                                                            |                                                                                                                                                                                                                                                                                          |
| :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|     [![BouncyBall.splashFactory - bounce: "Bouncy Ball"](https://raw.githubusercontent.com/Zabadam/ball/master/doc/splashFactory.gif)](https://raw.githubusercontent.com/Zabadam/ball/master/doc/splashFactory.gif 'BouncyBall.splashFactory - bounce: "Bouncy Ball"')     | [![BouncyBall.splashFactory2 - bounce: "Custom Ink" (Classic)](https://raw.githubusercontent.com/Zabadam/ball/master/doc/splashFactory2.gif)](https://raw.githubusercontent.com/Zabadam/ball/master/doc/splashFactory2.gif 'BouncyBall.splashFactory2 - bounce: "Custom Ink" (Classic)') |
| [![BouncyBall.splashFactory3 - bounce: "Toward Finger"](https://raw.githubusercontent.com/Zabadam/ball/master/doc/splashFactory3.gif)](https://raw.githubusercontent.com/Zabadam/ball/master/doc/splashFactory3.gif 'BouncyBall.splashFactory3 - bounce: "Toward Finger"') | [![BouncyBall.splashFactory4 - bounce: "Toward Face"](https://raw.githubusercontent.com/Zabadam/ball/master/doc/splashFactory4.gif)](https://raw.githubusercontent.com/Zabadam/ball/master/doc/splashFactory4.gif 'BouncyBall.splashFactory4 - bounce: "Toward Face"')                   |
|   [![BouncyBall.marbleFactory - bounce: "Toward Finger"](https://raw.githubusercontent.com/Zabadam/ball/master/doc/marbleFactory.gif)](https://raw.githubusercontent.com/Zabadam/ball/master/doc/marbleFactory.gif 'BouncyBall.marbleFactory - bounce: "Toward Finger"')   |                                                                                                                                                                                                                                                                                          |

<br />

---

## 🐸 [Zaba.app ― simple packages, simple names.](https://pub.dev/publishers/zaba.app/packages 'Other Flutter packages published by Zaba.app')

<details>
<summary>More by Zaba</summary>

### Widgets to wrap other widgets
- ## 🕹️ [xl](https://pub.dev/packages/xl 'implement accelerometer-fueled interactions with a layering paradigm')
- ## 🌈 [foil](https://pub.dev/packages/foil 'implement accelerometer-reactive gradients in a cinch')
- ## 📜 [curtains](https://pub.dev/packages/curtains 'provide animated shadow decorations for a scrollable to allude to unrevealed content')
---
### Container widget that wraps many functionalities
- ## 🌟 [surface](https://pub.dev/packages/surface 'animated, morphing container with specs for Shape, Appearance, Filter, Tactility')
---
### Side-kick companions, work great alone & employed above
- ## 🏓 [ball](https://pub.dev/packages/ball 'a bouncy, position-mirroring splash factory that\'s totally customizable')
- ## 👥 [shadows](https://pub.dev/packages/shadows 'convert a double-based \`elevation\` + BoxShadow and List\<BoxShadow\> extensions')
</details>
